From 734890adff84cf8fbec9cff0a5bb6ad620877216 Mon Sep 17 00:00:00 2001
From: Jim Porter <jporterbugs@gmail.com>
Date: Fri, 18 Jun 2021 16:02:07 -0700
Subject: [PATCH] Handle remapped commands for original M-TAB binding in
 'flyspell-prog-mode'

* lisp/textmodes/flyspell.el (flyspell-prog-mode): Get the remapped
command for the original M-TAB binding if necessary.
---
 lisp/textmodes/flyspell.el | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/lisp/textmodes/flyspell.el b/lisp/textmodes/flyspell.el
index ba48e5de21..eb4c5cde28 100644
--- a/lisp/textmodes/flyspell.el
+++ b/lisp/textmodes/flyspell.el
@@ -410,9 +410,11 @@ flyspell-prog-mode
   (interactive)
   (setq flyspell-generic-check-word-predicate
         #'flyspell-generic-progmode-verify)
-  (setq-local flyspell--prev-meta-tab-binding
-              (or (local-key-binding "\M-\t" t)
-                  (global-key-binding "\M-\t" t)))
+  (let ((prev-meta-tab-binding (or (local-key-binding "\M-\t" t)
+                                   (global-key-binding "\M-\t" t))))
+    (setq-local flyspell--prev-meta-tab-binding
+                (or (command-remapping prev-meta-tab-binding)
+                    prev-meta-tab-binding)))
   (flyspell-mode 1)
   (run-hooks 'flyspell-prog-mode-hook))
 
-- 
2.25.1

